Debian Bug report logs - #316089
exim4-config - fails to install if system uses no shadow

version graph

Package: adduser; Maintainer for adduser is Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>; Source for adduser is src:adduser.

Reported by: Bastian Blank <waldi@debian.org>

Date: Tue, 28 Jun 2005 11:48:23 UTC

Severity: important

Tags: confirmed

Merged with 317944

Found in version 3.65

Fixed in version adduser/3.66

Done: Marc Haber <mh+debian-packages@zugschlus.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>:
Bug#316089; Package exim4-config. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: exim4-config - fails to install if system uses no shadow
Date: Tue, 28 Jun 2005 13:31:39 +0200
[Message part 1 (text/plain, inline)]
Package: exim4-config
Version: 4.51-1
Severity: serious

exim4-config fails to install if the system have no /etc/shadow file.

| Setting up exim4-config (4.51-1) ...
| hostname: Unknown host
| hostname: Unknown host
| Adding system-user for exim (v4)
| chage: can't open shadow password file
| groupdel: group Debian-exim does not exist
| dpkg: error processing exim4-config (--configure):
|  subprocess post-installation script returned error exit status 1

Bastian

-- 
The man on tops walks a lonely street; the "chain" of command is often a noose.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>:
Bug#316089; Package exim4-config. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 316089@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Bastian Blank <waldi@debian.org>, 316089@bugs.debian.org, 316089-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>, shadow@packages.debian.org
Subject: Re: exim4-config - fails to install if system uses no shadow
Date: Tue, 28 Jun 2005 15:17:29 +0200
reassign #316089 adduser
# too bad this doesn't make this bug SEP.
thanks

On Tue, Jun 28, 2005 at 01:31:39PM +0200, Bastian Blank wrote:
> exim4-config fails to install if the system have no /etc/shadow file.
> 
> | Setting up exim4-config (4.51-1) ...
> | hostname: Unknown host
> | hostname: Unknown host
> | Adding system-user for exim (v4)
> | chage: can't open shadow password file
> | groupdel: group Debian-exim does not exist
> | dpkg: error processing exim4-config (--configure):
> |  subprocess post-installation script returned error exit status 1

This is an error message which clearly happens during the adduser call
in exim4-config.postinst.

shadow maintainers, would you be willing to make the case of "no
shadow passwords in use, chage will fail" easily detectable from
inside adduser? Or am I better off by jumping through hoops in adduser
to find out whether shadow passwords are in use?

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Bug reassigned from package `exim4-config' to `adduser'. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#316089. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 316089@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Bastian Blank <waldi@debian.org>, 316089@bugs.debian.org
Subject: Re: Bug#316089: exim4-config - fails to install if system uses no shadow
Date: Tue, 28 Jun 2005 14:40:05 -0700
On Tue, Jun 28, 2005 at 01:31:39PM +0200, Bastian Blank wrote:
> Package: exim4-config
> Version: 4.51-1
> Severity: serious

> exim4-config fails to install if the system have no /etc/shadow file.

> | Setting up exim4-config (4.51-1) ...
> | hostname: Unknown host
> | hostname: Unknown host
> | Adding system-user for exim (v4)
> | chage: can't open shadow password file
> | groupdel: group Debian-exim does not exist
> | dpkg: error processing exim4-config (--configure):
> |  subprocess post-installation script returned error exit status 1

I don't see how this would be a serious bug in exim4-config.  It fails
because the chage command fails, but exim4-config properly depends on the
passwd package, so this tool should be usable.  Is there a reason that
Debian needs to support systems that don't have /etc/shadow?

-- 
Steve Langasek
postmodern programmer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 316089@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Bastian Blank <waldi@debian.org>, 316089@bugs.debian.org, 316089-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: exim4-config - fails to install if system uses no shadow
Date: Tue, 5 Jul 2005 07:50:03 +0200
severity #316089 important
thanks

On Tue, Jun 28, 2005 at 01:31:39PM +0200, Bastian Blank wrote:
> Package: exim4-config
> Version: 4.51-1
> Severity: serious
> 
> exim4-config fails to install if the system have no /etc/shadow file.

Please state which part of policy is violated by not supporting
/etc/shadow.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Severity set to `important'. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#316089. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 316089@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Marc Haber <mh+debian-packages@zugschlus.de>
Cc: 316089@bugs.debian.org
Subject: Re: exim4-config - fails to install if system uses no shadow
Date: Tue, 5 Jul 2005 09:12:24 +0200
severity 316089 serious
thanks

> > exim4-config fails to install if the system have no /etc/shadow file.
> Please state which part of policy is violated by not supporting
> /etc/shadow.

9.2.1

Bastian

-- 
I'm a soldier, not a diplomat.  I can only tell the truth.
		-- Kirk, "Errand of Mercy", stardate 3198.9



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 316089@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Bastian Blank <waldi@debian.org>
Cc: 316089@bugs.debian.org
Subject: Re: exim4-config - fails to install if system uses no shadow
Date: Tue, 5 Jul 2005 09:34:40 +0200
severity #316089 important
tags #316089 sid sarge etch
thanks

On Tue, Jul 05, 2005 at 09:12:24AM +0200, Bastian Blank wrote:
> > > exim4-config fails to install if the system have no /etc/shadow file.
> > Please state which part of policy is violated by not supporting
> > /etc/shadow.
> 
> 9.2.1

"The Debian system can be configured to use either plain or shadow
passwords." This doesn't mean that each and every package needs to
work in both configuration ways.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 316089@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 316089@bugs.debian.org, 316089-submitter@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>, shadow@packages.debian.org
Subject: chage fails if plain passwd in use
Date: Tue, 5 Jul 2005 09:44:18 +0200
clone #316089 
reassign -1 shadow
retitle -1 chage fails in plain passwd in use
submitter -1 Marc Haber <mh+debian-packages@zugschlus.de>
thanks

On Tue, Jun 28, 2005 at 03:17:29PM +0200, Marc Haber wrote:
> shadow maintainers, would you be willing to make the case of "no
> shadow passwords in use, chage will fail" easily detectable from
> inside adduser? Or am I better off by jumping through hoops in adduser
> to find out whether shadow passwords are in use?

Unfortunately, the shadow maintainers haven't replied to this message
which was also sent to shadow@p.d.o. I am thus cloning the bug to
shadow.

Shadow maintainers, please consider adding a switch to chage which
doesn't make chage fail if no shadow passwords are in use.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Severity set to `important'. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid, sarge, etch Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#316089. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>, 316089@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #57 received at 316089@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 316089@bugs.debian.org
Subject: Bug#316089: chage fails if plain passwd in use
Date: Tue, 5 Jul 2005 16:13:18 +0200
clone #316089 -1
reassign -1 shadow
retitle -1 chage fails in plain passwd in use
submitter -1 Marc Haber <mh+debian-packages@zugschlus.de>
thanks

On Tue, Jun 28, 2005 at 03:17:29PM +0200, Marc Haber wrote:
> shadow maintainers, would you be willing to make the case of "no
> shadow passwords in use, chage will fail" easily detectable from
> inside adduser? Or am I better off by jumping through hoops in adduser
> to find out whether shadow passwords are in use?

Unfortunately, the shadow maintainers haven't replied to this message
which was also sent to shadow@p.d.o. I am thus cloning the bug to
shadow.

Shadow maintainers, please consider adding a switch to chage which
doesn't make chage fail if no shadow passwords are in use.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835





Bug 316089 cloned as bug 317012. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #64 received at 316089@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 317012@bugs.debian.org, 316089@bugs.debian.org
Cc: 317012-submitter@bugs.debian.org, 316089-submitter@bugs.debian.org
Subject: Ack from shadow maintainers
Date: Tue, 5 Jul 2005 22:25:11 +0200
Nicolas Fran├žois pointed me to that bug report which we seem to have
completely missed when Marc asked us for some input.

So, first of all, Marc, apologies for not replying to you.

We will of course look at the bug report and make our best to find a
solution in shadow if one is needed (and if the solution, or part of
it, is really in shadow).


-- 





Message sent on to Bastian Blank <waldi@debian.org>:
Bug#316089. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Alexander Gattin <arg@online.com.ua>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #72 received at 316089@bugs.debian.org (full text, mbox):

From: Alexander Gattin <arg@online.com.ua>
To: 316089@bugs.debian.org, 317012@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>, control@bugs.debian.org
Subject: Re: [Pkg-shadow-devel] Processed: Bug#316089: chage fails if plain passwd in use
Date: Wed, 6 Jul 2005 01:52:57 +0300
owner 304934 Alexander Gattin <arg@online.com.ua>
retitle 304934 [XRGTN] Please document the -O option of useradd
thanks

Hi!

I think 316089 and 317012 is there because of closing
298883 by chosing chage as an instrument to override
password expiration... :-/

I propose to use `useradd -O PASS_MAX_DAYS=99999`
instead and from my side going to update useradd's
manpage (see bug #304934).

> Changed Bug submitter from Bastian Blank <waldi@debian.org> to Marc Haber <mh+debian-packages@zugschlus.de>.

-- 
WBR,
xrgtn



Merged 316089 317944. Request was from Stefan Hornburg <racke@linuxia.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #79 received at 316089@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 316089@bugs.debian.org
Cc: shadow@packages.debian.org
Subject: Re: Bug#316089: chage fails if plain passwd in use
Date: Thu, 14 Jul 2005 13:26:10 +0100
On Tue, Jul 05, 2005 at 04:13:18PM +0200, Marc Haber wrote:
> On Tue, Jun 28, 2005 at 03:17:29PM +0200, Marc Haber wrote:
> > shadow maintainers, would you be willing to make the case of "no
> > shadow passwords in use, chage will fail" easily detectable from
> > inside adduser? Or am I better off by jumping through hoops in adduser
> > to find out whether shadow passwords are in use?
> 
> Unfortunately, the shadow maintainers haven't replied to this message
> which was also sent to shadow@p.d.o. I am thus cloning the bug to
> shadow.
> 
> Shadow maintainers, please consider adding a switch to chage which
> doesn't make chage fail if no shadow passwords are in use.

Since the shadow maintainers at least gave it a distinct exit code, I
added a really cheap and nasty hack in Ubuntu to work around this; since
the whole situation broke debootstrap, it was blocking a lot of my work,
and I had to do something urgently ...

  &systemcall('/bin/sh', '-c', '/usr/bin/chage -M 99999 ' . quotemeta($new_name) . '; RET=$?; [ $RET -eq 3 ] && exit 0; exit $RET');

I don't know if this is the approach you want to take; a flag to chage
to suppress the error message would certainly be neater, but as has been
mentioned it would require a versioned dependency.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]



Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #84 received at 316089-close@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 316089-close@bugs.debian.org
Subject: Bug#316089: fixed in adduser 3.65
Date: Fri, 15 Jul 2005 14:17:09 -0400
Source: adduser
Source-Version: 3.65

We believe that the bug you reported is fixed in the latest version of
adduser, which is due to be installed in the Debian FTP archive:

adduser_3.65.dsc
  to pool/main/a/adduser/adduser_3.65.dsc
adduser_3.65.tar.gz
  to pool/main/a/adduser/adduser_3.65.tar.gz
adduser_3.65_all.deb
  to pool/main/a/adduser/adduser_3.65_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 316089@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc Haber <mh+debian-packages@zugschlus.de> (supplier of updated adduser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Jul 2005 18:03:40 +0000
Source: adduser
Binary: adduser
Architecture: source all
Version: 3.65
Distribution: unstable
Urgency: low
Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
Changed-By: Marc Haber <mh+debian-packages@zugschlus.de>
Description: 
 adduser    - Add and remove users and groups
Closes: 284688 308175 315071 315250 316089 317944
Changes: 
 adduser (3.65) unstable; urgency=low
 .
   * do not abort if chage returns exit code 3. This is an indication
     that password aging cannot be set due to shadow not being enabled.
     Closes: #316089, #317944.
   * get_group_members now filters out non-existent users.
     Closes: #284688, #315071, #315250
   * Use getpwent to determine whether a to-be-deleted group is primary
     group for users to enhance compatibility with non-/etc/passwd
     backends. Closes: #308175
   * Standards-Version: 3.6.2 (no changes needed)
Files: 
 d00f0101aafb611e422f425acaafd7c0 637 base important adduser_3.65.dsc
 eb05e197db61189308df4733d9772d68 108680 base important adduser_3.65.tar.gz
 73eaaa39633be00cb7b75dbb057d48bd 100144 base important adduser_3.65_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iEYEARECAAYFAkLX+4wACgkQgZalRGu6PITpagCgmIJ9FxSQuCkzWyjJ9+AvgjN+
lC8An0UvoeshcFfDZE3GrXLLQPaFWGVD
=/gU/
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Brian Nelson <pyro@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #89 received at 316089@bugs.debian.org (full text, mbox):

From: Brian Nelson <pyro@debian.org>
To: 316089@bugs.debian.org
Cc: Control bugs server <control@bugs.debian.org>
Subject: chage fix broken
Date: Tue, 19 Jul 2005 20:41:59 -0700
found 316089 3.65
thanks

The fix for this appears to be broken.  I see:

Setting up exim4-config (4.52-1) ...
Adding system-user for exim (v4)
chage: can't open shadow password fileUse of uninitialized value in
concatenation (.) or string at /usr/sbin/adduser line 400.
groupdel: group Debian-exim does not exist
dpkg: error processing exim4-config (--configure):
 subprocess post-installation script return error exit status 1

-- 
Society is never going to make any progress until we all learn to
pretend to like each other.



Bug marked as found in version 3.65. Request was from Brian Nelson <pyro@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #96 received at 316089@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Brian Nelson <pyro@debian.org>, 316089@bugs.debian.org, 316089-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: chage fix broken
Date: Wed, 20 Jul 2005 08:12:25 +0200
tags #316089 - sid etch sarge
confirmed #316089 3.65
thanks

On Tue, Jul 19, 2005 at 08:41:59PM -0700, Brian Nelson wrote:
> The fix for this appears to be broken.  I see:
> 
> Setting up exim4-config (4.52-1) ...
> Adding system-user for exim (v4)
> chage: can't open shadow password fileUse of uninitialized value in
> concatenation (.) or string at /usr/sbin/adduser line 400.
> groupdel: group Debian-exim does not exist
> dpkg: error processing exim4-config (--configure):
>  subprocess post-installation script return error exit status 1

That's kind of a cosmetic issue, the "use of unitiailized value" comes
from the construction of the error message (which does not get output
here). Which version of passwd do you have installed on your system?

The cosmetic issue has been fixed in svn, and I cannot reproduce the
issue any more here. However, that error message shouldn't have been
displayed in any place since this is the case the chage error handling
change was supposed to handle specially (which is does on my test
system). Can you please try

adduser --system --group --home /var/spool/exim4 --no-create-home \
                --disabled-login --force-badname Debian-exim-test

on your system and give me the output? The Debian-exim-test account
can be removed again afterwards.

After that, please remove the references to $c in the error messages
constructed on adduser lines 400 and 402, and try again.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags removed: sid, etch, sarge Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#316089. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Brian Nelson <pyro@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #106 received at 316089@bugs.debian.org (full text, mbox):

From: Brian Nelson <pyro@debian.org>
To: Marc Haber <mh+debian-packages@zugschlus.de>
Cc: 316089@bugs.debian.org
Subject: Re: chage fix broken
Date: Wed, 20 Jul 2005 21:35:53 -0700
On Wed, Jul 20, 2005 at 08:12:25AM +0200, Marc Haber wrote:
> tags #316089 - sid etch sarge
> confirmed #316089 3.65
> thanks
> 
> On Tue, Jul 19, 2005 at 08:41:59PM -0700, Brian Nelson wrote:
> > The fix for this appears to be broken.  I see:
> > 
> > Setting up exim4-config (4.52-1) ...
> > Adding system-user for exim (v4)
> > chage: can't open shadow password fileUse of uninitialized value in
> > concatenation (.) or string at /usr/sbin/adduser line 400.
> > groupdel: group Debian-exim does not exist
> > dpkg: error processing exim4-config (--configure):
> >  subprocess post-installation script return error exit status 1
> 
> That's kind of a cosmetic issue, the "use of unitiailized value" comes
> from the construction of the error message (which does not get output
> here). Which version of passwd do you have installed on your system?

It was actually an old version: 1:4.0.3-35

> The cosmetic issue has been fixed in svn, and I cannot reproduce the
> issue any more here. However, that error message shouldn't have been
> displayed in any place since this is the case the chage error handling
> change was supposed to handle specially (which is does on my test
> system). Can you please try
> 
> adduser --system --group --home /var/spool/exim4 --no-create-home \
>                 --disabled-login --force-badname Debian-exim-test
> 
> on your system and give me the output? The Debian-exim-test account
> can be removed again afterwards.

It appears to work fine on a fully updated sid system:

# adduser --system --group --home /var/spool/exim4 --no-create-home --disabled-login --force-badname Debian-exim-test
adduser: Warning: The home dir you specified does not exist.
Allowing use of questionable username.
Adding system user `Debian-exim-test'...
Adding new group `Debian-exim-test' (101).
Adding new user `Debian-exim-test' (101) with group `Debian-exim-test'.
chage: the shadow password file is not present
chage failed with return code 3, shadow not enabled, password aging cannot be set. Continuing.Not creating home directory.

-- 
Society is never going to make any progress until we all learn to
pretend to like each other.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #111 received at 316089@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 318951@bugs.debian.org, 318951-submitter@bugs.debian.org, 319043@bugs.debian.org, 319043-submitter@bugs.debian.org, 316089@bugs.debian.org, 316089-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: exim4-config - fails to install if system uses no shadow
Date: Fri, 22 Jul 2005 12:48:03 +0200
tags #318951 pending confirmed
tags #319043 pending confirmed
tags #316089 pending confirmed
thanks

adduser 3.65.0, which hopefully fixes the bugs this message is being
sent to, is available from
http://zg.debian.zugschlus.de/zg/pool/main/adduser

Can you please check if the bugs are still present or not? I cannot
upload at the moment anyway (ftp-master being relocted), so I chose to
publish a pre-version.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags added: pending, confirmed Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#316089. Full text and rfc822 format available.

Bug marked as found in version 3.65. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #123 received at 316089-close@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 316089-close@bugs.debian.org
Subject: Bug#316089: fixed in adduser 3.66
Date: Wed, 27 Jul 2005 23:02:06 -0700
Source: adduser
Source-Version: 3.66

We believe that the bug you reported is fixed in the latest version of
adduser, which is due to be installed in the Debian FTP archive:

adduser_3.66.dsc
  to pool/main/a/adduser/adduser_3.66.dsc
adduser_3.66.tar.gz
  to pool/main/a/adduser/adduser_3.66.tar.gz
adduser_3.66_all.deb
  to pool/main/a/adduser/adduser_3.66_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 316089@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc Haber <mh+debian-packages@zugschlus.de> (supplier of updated adduser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 28 Jul 2005 05:34:56 +0000
Source: adduser
Binary: adduser
Architecture: source all
Version: 3.66
Distribution: unstable
Urgency: low
Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
Changed-By: Marc Haber <mh+debian-packages@zugschlus.de>
Description: 
 adduser    - Add and remove users and groups
Closes: 316089 318951 319043
Changes: 
 adduser (3.66) unstable; urgency=low
 .
   * Fix adduser user group. Thanks to Klaus Ethgen. Closes: #318951
   * Fix primary group check which was broken due to wrong function name.
     Thanks to Bastian Kleineidam. Closes: #319043
   * Fix broken error message on chage non-zero exit code. Thanks to
     Brian Nelson. Closes: #316089
   * have get_group_members return a list when callers expect a list.
     Thanks to Lukasz Czyczylo.
   * add lintian override: adduser does not need to depend on adduser
     to use adduser in maintainer scripts.
Files: 
 126f04ee2f9733303e7b117bd9b365b4 637 base important adduser_3.66.dsc
 12e9f71c6c96bc396ba09fea7d79b961 108980 base important adduser_3.66.tar.gz
 6e529148cc883bd1734acbe52ad60088 100434 base important adduser_3.66_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iEYEARECAAYFAkLocOoACgkQgZalRGu6PIRMgwCgu2beJ2XvW8e2wbsqDsBvK7Jn
9+YAn1/lX1azSGwSDctSn0olCKCBhkYQ
=rvNH
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Matthias Georg Imhof <mgi@vt.edu>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #128 received at 316089@bugs.debian.org (full text, mbox):

From: Matthias Georg Imhof <mgi@vt.edu>
To: 316089@bugs.debian.org
Subject: 3.66 ERROR persists: chage: can't open shadow password fileadduser
Date: Tue, 09 Aug 2005 09:20:04 -0400
I switched over to the new adduser 3.66, but still have the problem

Matthias

basalt:/usr/sbin# adduser --system --group --home /var/spool/exim4 
--no-create-home --disabled-login --force-badname Debian-exim-test
chage: can't open shadow password filegroupdel: group Debian-exim-test does not 
exist


basalt:/usr/sbin# adduser --system --no-create-home --disabled-login 
--force-badname Debian-exim-test
Allowing use of questionable username.
Adding system user `Debian-exim-test'...
Adding new user `Debian-exim-test' (105) with group `nogroup'.
chage: can't open shadow password fileadduser: `/usr/bin/chage -M 99999 
Debian-exim-test' returned error code 1.  Aborting.
Cleaning up.
Removing user `Debian-exim-test'.


-- 
**************************************************************************
* Matthias G. Imhof, Ph.D.                         phone: (540) 231 6004 *
* 4044 Derring Hall (0420)                         fax:   (540) 231 3386 *
* Virginia Tech                                        email: mgi@vt.edu *
* Blacksburg, VA 24061                  http://www.geol.vt.edu/profs/mgi *
* There is no dark side of the moon really. Matter of fact it's all dark *
**************************************************************************



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #133 received at 316089@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Matthias Georg Imhof <mgi@vt.edu>, 316089@bugs.debian.org
Subject: Re: Bug#316089: 3.66 ERROR persists: chage: can't open shadow password fileadduser
Date: Tue, 9 Aug 2005 15:52:08 +0200
On Tue, Aug 09, 2005 at 09:20:04AM -0400, Matthias Georg Imhof wrote:
> I switched over to the new adduser 3.66, but still have the problem

Which passwd package do you have installed?

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#316089; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #138 received at 316089@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Marc Haber <mh+debian-packages@zugschlus.de>, 316089@bugs.debian.org, 316089-submitter@bugs.debian.org
Cc: Matthias Georg Imhof <mgi@vt.edu>
Subject: Re: Re: Bug#316089: 3.66 ERROR persists: chage: can't open shadow password fileadduser
Date: Mon, 15 Aug 2005 12:16:24 +0200
On Tue, Aug 09, 2005 at 03:52:08PM +0200, Marc Haber wrote:
> On Tue, Aug 09, 2005 at 09:20:04AM -0400, Matthias Georg Imhof wrote:
> > I switched over to the new adduser 3.66, but still have the problem
> 
> Which passwd package do you have installed?

User reported in private e-mail that passwd 4.0.3-35 is installed.
This is too early. passwd 4.0.3-37 is needed on non-shadow systems.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Message sent on to Bastian Blank <waldi@debian.org>:
Bug#316089. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 10:10:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:22:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.